import machine
import kooka
import math

x = None
y = None
r = None
i = None

# Describe this function...
def draw_circle(x, y, r):
    global i
    for i in range(1, 361, 4):
        kooka.display.pixel(int(r * math.cos(i / 180.0 * math.pi) + x), int(r * math.sin(i / 180.0 * math.pi) + y), int(1))



kooka.display.show()

while True:
    kooka.display.fill(0)
    draw_circle(64, 32, 15)
    draw_circle(kooka.accel.get_xyz()[1] * -10 + 64, kooka.accel.get_xyz()[0] * -10 + 32, 6)
    if kooka.button_a.was_pressed():
        raise SystemExit
    kooka.display.show()
    machine.idle()

# Generated Blockly XML follows
# <xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="^;Mp=R;u2Rv[(vz0r]1S">x</variable><variable id="TS|Vjo)@,0}!*4y3+%yW">y</variable><variable id="fdJ;{Mqh+_=+)QHE3^LT">r</variable><variable id="1KhsO|XV.wQ5VP5X5t;Z">i</variable></variables><block type="event_button_was_pressed" id="vj-r,?H^*,T[]|s~SDY8" x="-50" y="90"><field name="BUTTON">kooka.button_a.was_pressed()</field><statement name="DO"><block type="exit_program" id="Cs9@jvy8oYGTv+}}a~:C"/></statement></block><block type="procedures_defnoreturn" id=")mst4j:OP0Mh0iMx79Co" x="290" y="90"><mutation><arg name="x" varid="^;Mp=R;u2Rv[(vz0r]1S"/><arg name="y" varid="TS|Vjo)@,0}!*4y3+%yW"/><arg name="r" varid="fdJ;{Mqh+_=+)QHE3^LT"/></mutation><field name="NAME">draw_circle</field><comment pinned="false" h="80" w="160">Describe this function...</comment><statement name="STACK"><block type="controls_for" id="J;H$J]i^24nRv^RT[VEW"><field name="VAR" id="1KhsO|XV.wQ5VP5X5t;Z">i</field><value name="FROM"><block type="math_number" id="LkW^r)r%oPxoxl`gN/}G"><field name="NUM">1</field></block></value><value name="TO"><block type="math_number" id="l-o#L.P8BS06u=IUIt(o"><field name="NUM">360</field></block></value><value name="BY"><block type="math_number" id="n=+30!4k:Q^FF1?Oh!2,"><field name="NUM">4</field></block></value><statement name="DO"><block type="display_pixel" id="PalIGU@VYy+;F`Lz;}Ca"><value name="X"><shadow type="math_number" id="ZpnTzS=HKD[W0EiZPlV6"><field name="NUM">0</field></shadow><block type="math_mult_add" id="gcJzM%9,{{!IofzzJ10v"><value name="A"><shadow type="math_number" id="_X,Ma@1fsk#q[^bvqQ83"><field name="NUM">1</field></shadow><block type="variables_get" id="{svWy**Hj4PSd!o^r])G"><field name="VAR" id="fdJ;{Mqh+_=+)QHE3^LT">r</field></block></value><value name="B"><shadow type="math_number" id="0spPmWE:%4`H`{IaeAyE"><field name="NUM">2</field></shadow><block type="math_trig" id="GeXp^.[u]KUksUDI-|j7"><field name="OP">COS</field><value name="NUM"><block type="variables_get" id="IA%c3803(Be,pn{sx3?B"><field name="VAR" id="1KhsO|XV.wQ5VP5X5t;Z">i</field></block></value></block></value><value name="C"><shadow type="math_number" id="[~eH;!#`#%T`2hYyM0OO"><field name="NUM">3</field></shadow><block type="variables_get" id="^oiQcw-h)N6wXr?y1,yl"><field name="VAR" id="^;Mp=R;u2Rv[(vz0r]1S">x</field></block></value></block></value><value name="Y"><shadow type="math_number" id="rQSK5R3JhyvJd@,!;P?M"><field name="NUM">0</field></shadow><block type="math_mult_add" id="rn{C)BHd[$sSUj@O1^E$"><value name="A"><shadow type="math_number"><field name="NUM">1</field></shadow><block type="variables_get" id="=eXP`wN,}nx|?8,0fAwV"><field name="VAR" id="fdJ;{Mqh+_=+)QHE3^LT">r</field></block></value><value name="B"><shadow type="math_number"><field name="NUM">2</field></shadow><block type="math_trig" id="*kDi8U[q(*}76L#u*ED="><field name="OP">SIN</field><value name="NUM"><block type="variables_get" id="6`XAP0g!LTR97!gX({uP"><field name="VAR" id="1KhsO|XV.wQ5VP5X5t;Z">i</field></block></value></block></value><value name="C"><shadow type="math_number"><field name="NUM">3</field></shadow><block type="variables_get" id="VOM8!3}XSO;DZc/3K9bb"><field name="VAR" id="TS|Vjo)@,0}!*4y3+%yW">y</field></block></value></block></value><value name="C"><shadow type="math_number" id="17qdNP!1`|Isa$gU=0qc"><field name="NUM">1</field></shadow></value></block></statement></block></statement></block><block type="event_every_loop" id="TV|#jRnPiKr.DAROT~qo" x="-50" y="230"><statement name="DO"><block type="display_clear" id="=SpJNN1RoF?G4e#hrY@2"><next><block type="procedures_callnoreturn" id="3C;2k_AmwcWTEMi%4PP@"><mutation name="draw_circle"><arg name="x"/><arg name="y"/><arg name="r"/></mutation><value name="ARG0"><block type="math_number" id="N@V7=d([|4Tq[/eDp+ZP"><field name="NUM">64</field></block></value><value name="ARG1"><block type="math_number" id="]S`qTh1}9:F$J5t7X*EC"><field name="NUM">32</field></block></value><value name="ARG2"><block type="math_number" id="FZe$n$-v%0bLW2)3V9|P"><field name="NUM">15</field></block></value><next><block type="procedures_callnoreturn" id="`3)[6/JY.c$#G:?-hvx#"><mutation name="draw_circle"><arg name="x"/><arg name="y"/><arg name="r"/></mutation><value name="ARG0"><block type="math_mult_add" id="-k=xufP1hY]aSw,(=jWy"><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number"><field name="NUM">1</field></shadow><block type="lsm303_accel_axis" id="r`GT(|N_MnuS$p-8y9lr"><field name="LOCATION">internal</field><field name="AXIS">1</field></block></value><value name="B"><shadow type="math_number" id="](DBsPoWu$Ct`[)mv3;x"><field name="NUM">-10</field></shadow></value><value name="C"><shadow type="math_number" id="D#t8RYi.QU:]YH3u.Si|"><field name="NUM">64</field></shadow></value></block></value><value name="ARG1"><block type="math_mult_add" id="omX(X1la]yGqUWxbVZS$"><value name="A"><shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number"><field name="NUM">1</field></shadow><block type="lsm303_accel_axis" id=",t`(HP.`z6[g)@R}rvyZ"><field name="LOCATION">internal</field><field name="AXIS">0</field></block></value><value name="B"><shadow type="math_number" id="JTAYmynPY5]|)k77`y+z"><field name="NUM">-10</field></shadow></value><value name="C"><shadow type="math_number" id="O|v.}f1.^Wwn}[Y77S3R"><field name="NUM">32</field></shadow></value></block></value><value name="ARG2"><block type="math_number" id="c9U8z17HADO6i?|FxzN?"><field name="NUM">6</field></block></value></block></next></block></next></block></statement></block></xml>
