import machine
import kooka
import time
import framebuf

i = None
j = None

Number = (bool, int, float)


i = 0
j = 10
_timer10 = time.ticks_ms()
while True:
    if time.ticks_diff(time.ticks_ms(), _timer10) >= 0:
        _timer10 += 10
        kooka.display.fill(0)
        if i % 10 < 5:
            kooka.display.blit(framebuf.FrameBuffer(bytearray(b"\x18\x3c\xe7\xc3\xff\xff\x66\xc3"), 8, 8, framebuf.MONO_HMSB), int(i), int(j))
        else:
            kooka.display.blit(framebuf.FrameBuffer(bytearray(b"\x18\x3c\xe7\xc3\xff\xff\x66\x3c"), 8, 8, framebuf.MONO_HMSB), int(i), int(j))
        i = (i if isinstance(i, Number) else 0) + 1
        if i > 127:
            i = 0
            j = (j if isinstance(j, Number) else 0) + 8
            if j > 50:
                j = 10
    kooka.display.show()
    machine.idle()

# Generated Blockly XML follows
# <xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="k1,J?pi{6_Lv3BXk^aIk">i</variable><variable id="~,;G1Dv!HV:OELzLkHqy">j</variable></variables><block type="variables_set" id="kHUfK0r7oqG99t;AQG!!" x="10" y="-30"><field name="VAR" id="k1,J?pi{6_Lv3BXk^aIk">i</field><value name="VALUE"><block type="math_number" id="KDQ+B-d+)kO|np[VW58]"><field name="NUM">0</field></block></value><next><block type="variables_set" id="c_:.Oe3IVZE|s)$[sC?}"><field name="VAR" id="~,;G1Dv!HV:OELzLkHqy">j</field><value name="VALUE"><block type="math_number" id="AcxH|6snN{[?|P?[e]Mw"><field name="NUM">10</field></block></value></block></next></block><block type="event_every_seconds" id="MLoO_kmipU?A6:/cZOyD" x="10" y="30"><field name="T">0.01</field><statement name="DO"><block type="display_clear" id="_{C%Wm9oxms:cO#sa82."><next><block type="controls_if" id="AA,F+gT#PQD9QV_.f6$j"><mutation else="1"/><value name="IF0"><block type="logic_compare" id="kpd:Qn^}CftTyFGsf~@-"><field name="OP">LT</field><value name="A"><block type="math_modulo" id="of9Zvj_s}hcN(4@#dLCE"><value name="DIVIDEND"><block type="variables_get" id="~6WG~b3Q%2D|TL=|NB.7"><field name="VAR" id="k1,J?pi{6_Lv3BXk^aIk">i</field></block></value><value name="DIVISOR"><block type="math_number" id="`NJOweO4S9e|cpo5Fag{"><field name="NUM">10</field></block></value></block></value><value name="B"><block type="math_number" id="#%Q=X0ek:,:sjqdi{4oW"><field name="NUM">5</field></block></value></block></value><statement name="DO0"><block type="display_blit" id="HuvhLkh^_$5`Pc5rUjJf"><field name="T">FALSE</field><value name="IMAGE"><block type="display_image" id="n]7~:JaS21a$I8I4lKY}"><field name="P00">FALSE</field><field name="P01">FALSE</field><field name="P02">FALSE</field><field name="P03">TRUE</field><field name="P04">TRUE</field><field name="P05">FALSE</field><field name="P06">FALSE</field><field name="P07">FALSE</field><field name="P10">FALSE</field><field name="P11">FALSE</field><field name="P12">TRUE</field><field name="P13">TRUE</field><field name="P14">TRUE</field><field name="P15">TRUE</field><field name="P16">FALSE</field><field name="P17">FALSE</field><field name="P20">TRUE</field><field name="P21">TRUE</field><field name="P22">TRUE</field><field name="P23">FALSE</field><field name="P24">FALSE</field><field name="P25">TRUE</field><field name="P26">TRUE</field><field name="P27">TRUE</field><field name="P30">TRUE</field><field name="P31">TRUE</field><field name="P32">FALSE</field><field name="P33">FALSE</field><field name="P34">FALSE</field><field name="P35">FALSE</field><field name="P36">TRUE</field><field name="P37">TRUE</field><field name="P40">TRUE</field><field name="P41">TRUE</field><field name="P42">TRUE</field><field name="P43">TRUE</field><field name="P44">TRUE</field><field name="P45">TRUE</field><field name="P46">TRUE</field><field name="P47">TRUE</field><field name="P50">TRUE</field><field name="P51">TRUE</field><field name="P52">TRUE</field><field name="P53">TRUE</field><field name="P54">TRUE</field><field name="P55">TRUE</field><field name="P56">TRUE</field><field name="P57">TRUE</field><field name="P60">FALSE</field><field name="P61">TRUE</field><field name="P62">TRUE</field><field name="P63">FALSE</field><field name="P64">FALSE</field><field name="P65">TRUE</field><field name="P66">TRUE</field><field name="P67">FALSE</field><field name="P70">TRUE</field><field name="P71">TRUE</field><field name="P72">FALSE</field><field name="P73">FALSE</field><field name="P74">FALSE</field><field name="P75">FALSE</field><field name="P76">TRUE</field><field name="P77">TRUE</field></block></value><value name="X"><shadow type="math_number" id="J,tiqI]0X*Jd=*|nZ|`k"><field name="NUM">0</field></shadow><block type="variables_get" id="O!Z0upjU3=P#c.lZicCK"><field name="VAR" id="k1,J?pi{6_Lv3BXk^aIk">i</field></block></value><value name="Y"><shadow type="math_number" id="8=G3b^!kuB_i3:~*N@x@"><field name="NUM">10</field></shadow><block type="variables_get" id="}L(1;xnQA.DiydYfgY1T"><field name="VAR" id="~,;G1Dv!HV:OELzLkHqy">j</field></block></value></block></statement><statement name="ELSE"><block type="display_blit" id="!3jf#qv(~nyxmR%pButu"><field name="T">FALSE</field><value name="IMAGE"><block type="display_image" id="5*5s^r#k7~^;kipu,(q@"><field name="P00">FALSE</field><field name="P01">FALSE</field><field name="P02">FALSE</field><field name="P03">TRUE</field><field name="P04">TRUE</field><field name="P05">FALSE</field><field name="P06">FALSE</field><field name="P07">FALSE</field><field name="P10">FALSE</field><field name="P11">FALSE</field><field name="P12">TRUE</field><field name="P13">TRUE</field><field name="P14">TRUE</field><field name="P15">TRUE</field><field name="P16">FALSE</field><field name="P17">FALSE</field><field name="P20">TRUE</field><field name="P21">TRUE</field><field name="P22">TRUE</field><field name="P23">FALSE</field><field name="P24">FALSE</field><field name="P25">TRUE</field><field name="P26">TRUE</field><field name="P27">TRUE</field><field name="P30">TRUE</field><field name="P31">TRUE</field><field name="P32">FALSE</field><field name="P33">FALSE</field><field name="P34">FALSE</field><field name="P35">FALSE</field><field name="P36">TRUE</field><field name="P37">TRUE</field><field name="P40">TRUE</field><field name="P41">TRUE</field><field name="P42">TRUE</field><field name="P43">TRUE</field><field name="P44">TRUE</field><field name="P45">TRUE</field><field name="P46">TRUE</field><field name="P47">TRUE</field><field name="P50">TRUE</field><field name="P51">TRUE</field><field name="P52">TRUE</field><field name="P53">TRUE</field><field name="P54">TRUE</field><field name="P55">TRUE</field><field name="P56">TRUE</field><field name="P57">TRUE</field><field name="P60">FALSE</field><field name="P61">TRUE</field><field name="P62">TRUE</field><field name="P63">FALSE</field><field name="P64">FALSE</field><field name="P65">TRUE</field><field name="P66">TRUE</field><field name="P67">FALSE</field><field name="P70">FALSE</field><field name="P71">FALSE</field><field name="P72">TRUE</field><field name="P73">TRUE</field><field name="P74">TRUE</field><field name="P75">TRUE</field><field name="P76">FALSE</field><field name="P77">FALSE</field></block></value><value name="X"><shadow type="math_number"><field name="NUM">0</field></shadow><block type="variables_get" id="_r{2{(|3X%/+@FR1:I*o"><field name="VAR" id="k1,J?pi{6_Lv3BXk^aIk">i</field></block></value><value name="Y"><shadow type="math_number"><field name="NUM">10</field></shadow><block type="variables_get" id="fKp3eZaPE*BpwjrqD8R("><field name="VAR" id="~,;G1Dv!HV:OELzLkHqy">j</field></block></value></block></statement><next><block type="math_change" id="8(w;Gl7Ogm!YCTqPq%K~"><field name="VAR" id="k1,J?pi{6_Lv3BXk^aIk">i</field><value name="DELTA"><shadow type="math_number" id="6RA{et`EW?uRHcJ3LE{*"><field name="NUM">1</field></shadow></value><next><block type="controls_if" id="(4^zTYb[hcrq.eTDKpRt"><value name="IF0"><block type="logic_compare" id="Dat#RcKi]sX;hZ=5x_fz"><field name="OP">GT</field><value name="A"><block type="variables_get" id=")OJ~6opWPqeCc?Az;u;h"><field name="VAR" id="k1,J?pi{6_Lv3BXk^aIk">i</field></block></value><value name="B"><block type="math_number" id="]5(e=H/!eXM:5u4J?+?K"><field name="NUM">127</field></block></value></block></value><statement name="DO0"><block type="variables_set" id="!]*XBsV9*w*:T8(sGgA|"><field name="VAR" id="k1,J?pi{6_Lv3BXk^aIk">i</field><value name="VALUE"><block type="math_number" id="ZVFzNE.3N]o/bZE:sV6Z"><field name="NUM">0</field></block></value><next><block type="math_change" id="Wc.6E2n=!a;(R_`Lcp%9"><field name="VAR" id="~,;G1Dv!HV:OELzLkHqy">j</field><value name="DELTA"><shadow type="math_number" id="Ym=zKunYf94pmj9D3Qho"><field name="NUM">8</field></shadow></value><next><block type="controls_if" id="6r!zbc.5bKmea16U-I5Z"><value name="IF0"><block type="logic_compare" id="cz*r8NVUi_oGWpgfQNSY"><field name="OP">GT</field><value name="A"><block type="variables_get" id="E*WTXA|0os;K~DUD;}TQ"><field name="VAR" id="~,;G1Dv!HV:OELzLkHqy">j</field></block></value><value name="B"><block type="math_number" id="0I2auT)5S9m_}q_E*Sh."><field name="NUM">50</field></block></value></block></value><statement name="DO0"><block type="variables_set" id=";~GUt-t/S@%XibH[l}[="><field name="VAR" id="~,;G1Dv!HV:OELzLkHqy">j</field><value name="VALUE"><block type="math_number" id="n4wIX=B,;:]tFJs![a.P"><field name="NUM">10</field></block></value></block></statement></block></next></block></next></block></statement></block></next></block></next></block></next></block></statement></block></xml>
